@font-face {
    font-display: swap; 
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    src: url('../src/lib/poppins-v23-latin-regular.woff2') format('woff2'); 
  }
  /* poppins-700 - latin */
  @font-face {
    font-display: swap;
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    src: url('../src/lib/poppins-v23-latin-700.woff2') format('woff2'); 
  }
  /* poppins-800 - latin */
  @font-face {
    font-display: swap; 
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 800;
    src: url('../src/lib/poppins-v23-latin-800.woff2') format('woff2'); 
  }
*{
    font-family: "Poppins", sans-serif;
    /* outline: 1px solid red;  */
}

.cor-primary-castelo{
    color: #ff9900;
}
.cor-segundaria{
    color: #fff7ed;
}


.bg-stake-blue-100-video{
    background: linear-gradient(
  to bottom,
  rgba(1, 4, 21, 0.6),
  rgba(1, 4, 21, 0.8),
  rgba(1, 4, 21, 1)
);
}
.bg-stake-blue-100-acess{
        background: linear-gradient( to bottom,  #ffffff3d,  rgba(255, 255, 255, 0.342),  rgb(255, 255, 255)
);
}
.bg-stake-blue-100-start-regist{
    background: linear-gradient(to bottom, rgb(1 4 21), #001eff4f, #001eff)
}
.text-stake-primary{
    color: #001eff;
}

.text-stake-sec{
    color: #adb7ff;
}

.flag-text{
    z-index: 2;
    
    position: absolute;
    align-items: center;
    justify-content: center;
    grid-column-gap:2px;
    grid-row-gap:2px;
    flex-flow: column;
    display: flex;
    padding: 10px 15px;
}

.flag-text-color{
    background-color: #001eff42;
    border: 1px solid #001eff57;
}

.no-scrollbar::-webkit-scrollbar {
    display: none;
  }
  .no-scrollbar {
    -ms-overflow-style: none; 
    scrollbar-width: none;    
  }
  
  .img-fix-4{
    background-image: url('../src/img/turma1.jpg');
    background-attachment: fixed;
    position: relative;
    background-repeat: no-repeat;
    background-position: center;
    overflow: hidden;
    background-size: cover;
    height: 350px;
  }
  @supports (-webkit-touch-callout: none) {
    .img-fix-4{
        background-attachment: scroll !important;
    }
  }




    .animate-pulse-scale {
      animation: pulse-scale-t 1s ease-in-out infinite;
    }

    @keyframes pulse-scale-t {
      0%, 100% {
        transform: scale(1);
      }
      50% {
        transform: scale(1.1);
      }
    }
    .mySwiper {
        overflow: hidden;
      }
      .swiper-wrapper {
        will-change: transform;
      }

      @keyframes clouds-scroll {
        0% {
          background-position-x: 0;
        }
        100% {
          background-position-x: 1000px; /* distância que as nuvens se moverão */
        }
      }
      
      .animate-clouds {
        animation: clouds-scroll 30s linear infinite;
      }
      @keyframes float {
        0%, 100% {
          transform: translateY(0);
        }
        50% {
          transform: translateY(-25px);
        }
      }
      @keyframes float-invert {
        0%, 100% {
          transform: translateY(0);
        }
        50% {
          transform: translateY(25px);
        }
      }

      .animate-float {
        animation: float 5s ease-in-out infinite;
      }
      .animate-float-invert {
        animation: float-invert 5s ease-in-out infinite;
      }